Bug 291191 - Review Request: xgrep - A grep-like utility for XML files.
Review Request: xgrep - A grep-like utility for XML files.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 12:08 EDT by Brendt Wohlberg
Modified: 2008-10-23 16:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 10:49:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendt Wohlberg 2007-09-14 12:08:05 EDT
Spec URL: http://www.wohlberg.net/public/software/xml/xgrep/xgrep.spec
SRPM URL: http://www.wohlberg.net/public/software/xml/xgrep/xgrep-0.06-1.fc7.src.rpm
Description: xgrep provides facilities for searching content in XML files. The search is specified either as an XPath via the -x flag, or a custom syntax, including extended regular expressions, via the -s flag. Multiple input files may be specified; if none are provided, input is read from stdin.

A sponsor is needed as this is my first package.
Comment 1 Jakub Hrozek 2007-09-15 13:11:50 EDT
Hello,
I had a quick look at your package (not an official review, just to ease the 
work of the real reviewer), here are the results:

Key:
- = does not apply for this package
x = OK
! = Problem

=== REQUIRED ITEMS ===
[x] Package is named according to the Package Naming Guidelines.
[x] Spec file name must match the base package %{name}, in the 
format %{name}.spec.
[!] Package meets the Packaging Guidelines.
 - the Source0 tag is wrong. It should include full URL to the sources
[x] Package successfully compiles and builds into binary rpms on at least one 
supported architecture.
Tested on: x86

[x] Rpmlint output:
 -clean
[x] Package is not relocatable.
[x] Buildroot is correct 
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x] Package is licensed with an open-source compatible license and meets other 
legal requirements as defined in the legal section of Packaging Guidelines.
[x] License field in the package spec file matches the actual license.

License type:
[x] If (and only if) the source package includes the text of the license(s) in 
its own file, then that file, containing the text of the license(s) for the 
package is included i
[x] Spec file is legible and written in American English.
[x] Sources used to build the package matches the upstream source, as provided 
in the spec URL.
    MD5SUM this package    :
    MD5SUM upstream package:
[x] Package is not known to require ExcludeArch
[!] All build dependencies are listed in BuildRequires, except for any that 
are listed in the exceptions section of Packaging Guidelines.
 - missing libxml2-devel
[-] The spec file handles locales properly.
 - no locales
[-] ldconfig called in %post and %postun if required.
[x] Package must own all directories that it creates.
[-] Package requires other packages for directories it uses.
[x] Package does not contain duplicates in %files.
[x] Permissions on files are set properly.
[x] Package has a %clean section, which contains rm -rf %{buildroot} (or 
$RPM_BUILD_ROOT).
[x] Package consistently uses macros.
[x] Package contains code, or permissable content.
[-] Large documentation files are in a -doc subpackage, if required.
[x] Package uses nothing in %doc for runtime.
[-] Header files in -devel subpackage, if present.
[-] Static libraries in -devel subpackage, if present.
[-] Package requires pkgconfig, if .pc files are present.
[-] Development .so files in -devel subpackage, if present.
[-] Fully versioned dependency in subpackages, if present.
[x] Package does not contain any libtool archives (.la).
[-] Package contains a properly installed %{name}.desktop file if it is a GUI 
application.
[x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x] Latest version is packaged.
[x] Package does not include license text files separate from upstream.
[-] Description and summary sections in the package spec file contains 
translations for supported Non-English languages, if available.
[!] Reviewer should test that the package builds in mock.
Tested on: RHEL5 i686
[not tested] Package should compile and build into binary rpms on all 
supported architectures.
Tested on: x86
[x] Package functions as described.
 - tested only very basic functions
[-] Scriptlets must be sane, if used.
[-] The placement of pkgconfig(.pc) files are correct.
[-] File based requires are sane.

=== Issues ===
1. does not rebuild in mock because of missing BR libxml2-devel
2. does not include full source URL
Comment 2 Brendt Wohlberg 2007-09-15 19:37:14 EDT
Thanks for your unofficial review. I have addressed the issues you identified
and uploaded a new package and spec file.
Comment 3 Mamoru TASAKA 2007-09-29 12:29:45 EDT
First:
! Please change the release number of your spec/srpm each time
  you modify your spec/srpm.

  http://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes

Then for 0.06-1:
* Redundant Requires
  - "Requires: pcre" is not needed. rpmbuild checks dependency for
    libraries automatically and dependency for libpcre.so.0 automatically
    pulls pcre package

! Please consider if version specific dependency for libxml2(-devel) is
  really useful.
  Even RH9 (more than 4 years ago) has libxml2-2.5.4-1.
  "BuildRequires: libxml2-devel" is sufficient and "Requires: libxml2"
  is not needed, IMO

* Source URL
  - Source0 returns 404 (not found).
Comment 4 Brendt Wohlberg 2007-09-29 14:28:13 EDT
Thanks for the comments. Please see modified Spec
http://www.wohlberg.net/public/software/xml/xgrep/xgrep.spec and SRPM
http://www.wohlberg.net/public/software/xml/xgrep/xgrep-0.06-2.fc7.src.rpm

Comment 5 Mamoru TASAKA 2007-09-30 03:27:11 EDT
Well.

* tarball
  - It seems that the tarball included in your srpm differs from
    what is written on Source0.
----------------------------------------------------------------
[tasaka1@localhost xgrep]$ ls -al *gz */*gz
-rw-r--r-- 1 tasaka1 tasaka1 53960 2007-09-16 08:30
xgrep-0.06-1.fc7/xgrep-0.06.tar.gz
-rw-r--r-- 1 tasaka1 tasaka1 53958 2007-09-30 03:22
xgrep-0.06-2.fc7/xgrep-0.06.tar.gz
-rw------- 1 tasaka1 tasaka1 50804 2007-09-15 00:25 xgrep-0.06.tar.gz
[tasaka1@localhost xgrep]$ md5sum *gz */*gz
eca0ebe4f25caff7b72d61ded622a23d  xgrep-0.06.tar.gz
8fe924cfc104a81660f654b62ddc2f12  xgrep-0.06-1.fc7/xgrep-0.06.tar.gz
950405351245928e31e1557ac02d7334  xgrep-0.06-2.fc7/xgrep-0.06.tar.gz
----------------------------------------------------------------
    What tarball are you using? (and why do your tarballs change
    between -1 and -2?)

Anyway:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

Comment 6 Brendt Wohlberg 2007-09-30 23:41:04 EDT
* The tarball issue:
  The different md5 sums are due to different versions of autoconf
  used to make configure in the source distributions included in
  the SRPM (there is a makefile target for building the RPMs). This
  has been corrected, and the source in the uploaded SRPM now has 
  an md5sum matching that of the reference source distribution.

* Sponsorship:
  Many thanks for the detailed advice. Once I've done as you suggest,
  I'll attach the relevant bug numbers to this one.
Comment 7 Brendt Wohlberg 2007-10-06 16:25:44 EDT
Please see bug number 321601, which is a new review request.
Comment 8 Mamoru TASAKA 2007-10-07 01:51:32 EDT
(In reply to comment #6)
> * The tarball issue:
>   The different md5 sums are due to different versions of autoconf
>   used to make configure in the source distributions included in
>   the SRPM (there is a makefile target for building the RPMs). This
>   has been corrected, and the source in the uploaded SRPM now has 
>   an md5sum matching that of the reference source distribution.

  - Please upload a now srpm (with release number bumped).
    I want to check it.
Comment 9 Brendt Wohlberg 2007-10-07 09:41:56 EDT
Sorry for not bumping the version number - I assumed it should stay the same
since the fix just involved rebuilding the SRPM, with no changes to the spec
file. A new spec http://www.wohlberg.net/public/software/xml/xgrep/xgrep.spec
and SRPM
http://www.wohlberg.net/public/software/xml/xgrep/xgrep-0.06-3.fc7.src.rpm have
been uploaded.
Comment 10 Mamoru TASAKA 2007-10-08 07:33:34 EDT
Would you update ImageInfo review (bug 321601) before I can approve
this bug?
Comment 11 Mamoru TASAKA 2007-10-08 11:55:45 EDT
Well.

* This package is okay
* Your another review request (bug 321601) will perhaps be accepted
  soon

-------------------------------------------------------
   This package (xgrep) is APPROVED by me
-------------------------------------------------------

Please follow the procedure according to:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor (at the stage, please also write on
this bug for confirmation that you requested for sponsorship)
Then I will sponsor you.

If you want to import this package into Fedora 7, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on Fedora rebuilding system).

If you have questions, please ask me.
Comment 12 Brendt Wohlberg 2007-10-09 23:22:54 EDT
New Package CVS Request
=======================
Package Name: xgrep
Short Description: A grep-like utility for XML files
Owners: brendt
Branches: F-7
InitialCC: 
Cvsextras Commits: no

Comment 13 Kevin Fenzi 2007-10-10 18:22:28 EDT
cvs done.
Comment 14 Fedora Update System 2007-10-11 18:53:43 EDT
xgrep-0.06-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xgrep'
Comment 15 Fedora Update System 2007-10-15 17:31:41 EDT
xgrep-0.06-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Brendt Wohlberg 2008-10-19 19:41:17 EDT
Package Change Request
======================
Package Name: xgrep
New Branches: EL-5
Owners: brendt

I received a request from a user to maintain an addition branch for EL-5.
Comment 17 Kevin Fenzi 2008-10-23 16:32:49 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.